# Get specific refund Get a specific Refund from a specific payment. **GET** `/v1/payments/{id}/refunds/{refund_id}` ## Request parameters ### Path - `id` (string, required) Payment identifier. - `refund_id` (string, required) Refund identifier. ## Response parameters - `id` (number, optional) Refund identifier. - `payment_id` (number, optional) Payment identifier from the payment. - `amount` (number, optional) Refund amount. - `metadata` (array, optional) Contains payment metadata that is sent to us in the payment post - `source` (array, optional) Contains the data to identify who originated the refund (contains ID, name and type) - `source[].name` (string, optional) The name of the user who submitted the refund request - `source[].id` (string, optional) The ID of the user who submitted the refund request (collector, operator, owner of the marketplace) - `source[].type` (string, optional) Source type. The possible values are Admin, Collector, BPP, and Marketplace. - `date_created` (string, optional) Refund creation date. - `unique_sequence_number` (string, optional) It is an identifier of the refund that was generated by the card processor. - `refund_mode` (string, optional) Type of refund. - `adjustment_amount` (number, optional) Refund adjustment. - `status` (string, optional) Refund status. Possible enum values: - `approved` The payment has been approved and accredited. - `in_process` Payment is being reviewed. - `rejected` Payment was rejected. The user may retry payment. - `canceled` Payment was canceled by one of the parties or because time for payment has expired. - `authorized` The payment has been authorized but not captured yet. - `reason` (string, optional) Refund reason. - `label` (array, optional) Information relevant to the refund. Currently only one label called hidden is used. When the payment search is made, refunds with the hidden label are not returned in the response JSON. - `partition_details` (array, optional) Indicates the amount returned for each of the partitions with which the payment was generated. Currently, payments with several money partitions are created only for one product from Brazil (Valeras), so it does not apply to all. Valeras allows offering benefits to employees, and is currently turned on in Brazil only for some employers. ## Errors | Status | Error | Description | | ------- | ------- | ----------- | | 400 | 400 | Bad-Request | | 401 | 5 | Must-provide-your-access-token-to-proceed | | 404 | 2000 | Payment-not-found | | 404 | 2032 | Refund-not-found | ## Request example ### cURL ```bash curl -X GET \ 'https://api.mercadopago.com/v1/payments/{id}/refunds/{refund_id}' \ -H 'Content-Type: application/json' \ -H 'Authorization: Bearer ' ``` ### Node.js ```javascript import MercadoPago, { PaymentRefund } from 'mercadopago'; const client = new MercadoPago({ accessToken: '' }); const refund = new PaymentRefund(client); refund.get({ payment_id: '18552260055', refund_id: '1032332129' }).then(console.log).catch(console.log); ``` ### PHP ```php " ); $client = new PaymentRefundClient(); $refund_result = $client->get(18552260055, 1032332129); ?> ``` ### Java ```java MercadoPagoConfig.setAccessToken("TEST-703********22370-01********2405a0c3********7232f7a5********0082888"); PaymentRefundClient client = new PaymentRefundClient(); PaymentRefund result = client.get(18552260055L, 1032332129L); ``` ### .Net ```csharp MercadoPagoConfig.AccessToken = "TEST-703********22370-01********2405a0c3********7232f7a5********0082888"; PaymentRefundClient client = new PaymentRefundClient(); PaymentRefund refund = await client.GetAsync(18552260055,1032332129); ``` ## Response example ```json { "id": 1032332129, "payment_id": 18552260055, "amount": 10, "metadata": [ {} ], "source": [ { "name": { "pt": "Nome e sobrenome", "es": "Nombre y apellido", "en": "Firstname Lastname" }, "id": "1003743392", "type": "collector" } ], "date_created": "2021-11-24T13:58:49.312-04:00", "unique_sequence_number": null, "refund_mode": "standard", "adjustment_amount": 0, "status": "approved", "reason": null, "label": [ {} ], "partition_details": [ {} ] } ```